## Apache Zeta Components Manual :: Docs For Class ezcGraphRadarRenderer

### Graph::ezcGraphRadarRenderer

### Interface ezcGraphRadarRenderer

Interface which adds the methods required for rendering radar charts to a renderer

Source for this file: /Graph/src/interfaces/radar_renderer.php

Version: | //autogentag//

### Method Summary

public void | `drawRadarDataLine( $boundings , $context , $color , $center , $start , $end , [ $dataNumber = 1] , [ $dataCount = 1] , [ $symbol = ezcGraph::NO_SYMBOL] , [ $symbolColor = null] , [ $fillColor = null] , [ $thickness = 1.] )` Draw radar chart data line

### Methods

#### drawRadarDataLine

void drawRadarDataLine( $boundings , ezcGraphContext $context , ezcGraphColor $color , ezcGraphCoordinate $center , ezcGraphCoordinate $start , ezcGraphCoordinate $end , [int $dataNumber = 1] , [int $dataCount = 1] , [int $symbol = ezcGraph::NO_SYMBOL] , [ezcGraphColor $symbolColor = null] , [ezcGraphColor $fillColor = null] , [float $thickness = 1.] )

Draw radar chart data line

Draws a line as a data element in a radar chart

##### Parameters:

Name | Type | Description
--- | --- | ---
`$boundings` | ezcGraphBoundings | Chart boundings
`$context` | ezcGraphContext | Context of call
`$color` | ezcGraphColor | Color of line
`$center` | ezcGraphCoordinate | Center of radar chart
`$start` | ezcGraphCoordinate | Starting point
`$end` | ezcGraphCoordinate | Ending point
`$dataNumber` | int | Number of dataset
`$dataCount` | int | Count of datasets in chart
`$symbol` | int | Symbol to draw for line
`$symbolColor` | ezcGraphColor | Color of the symbol, defaults to linecolor
`$fillColor` | ezcGraphColor | Color to fill line with
`$thickness` | float | Line thickness

Documentation generated by phpDocumentor 1.4.3